Middle-earth API

Update a quest

PATCH/fellowships/{fellowship_id}/quest

Changes the status or destination of the fellowship's current quest.

Request

Path parameters

  • fellowship_id string Required

    The fellowship's identifier.

Bodyapplication/json

  • status string

    Allowed valuestravellingsplitdisbandedvictorious

  • destination string

    New destination.

  • reason string

    Required when status is present

    Why the status changed.

Example request

cURL
curl -X PATCH 'https://api.middle-earth.example/v3/fellowships/<fellowship_id>/quest' \
  -H 'Content-Type: application/json' \
  -d '{
  "status": "travelling",
  "destination": "string",
  "reason": "string"
}'

Response

The updated fellowship.

Body

  • id string Required

    Unique identifier.

  • name string Required

    Display name.

  • members array of objects <Member> Required

  • quest object <Quest> Required

  • status string

    Current state of the fellowship.

    Allowed valuesformingtravellingsplitdisbandedvictorious

Example response

application/json

Json
{
  "id": "string",
  "name": "string",
  "members": [
    {
      "id": "string",
      "name": "string",
      "race": "hobbit",
      "status": "active",
      "skills": [
        "string"
      ],
      "home": {
        "name": "string",
        "settlement": "string",
        "parent": null
      },
      "traits": {
        "kind": "hobbit",
        "second_breakfasts": 0,
        "pipe_weed_brand": "string"
      },
      "created_at": "2024-01-01T00:00:00Z"
    }
  ],
  "quest": {
    "title": "string",
    "destination": "string",
    "deadline_days": 365
  },
  "status": "forming"
}